MATLAB Answers

0

ディープラーニングの​CNNにおけるGPU​使用について

Asked by Jo Sasaki on 20 Dec 2018
Latest activity Commented on by Jo Sasaki on 21 Dec 2018
CNNにおいてGPUを使用したいのですが、
たたみ込みニューラル ネットワークの GPU サポートには、Compute Capability 3.0 以上の GPU デバイスが必要です。
といったエラーが出ます。
使用しているパソコンのGPUは、
GeForce GTX970M, Compute Capability5.2です。
VERコマンドでは
Neural Network Toolbox バージョン 11.1 (R2018a)
Parallel Computing Toolbox バージョン 6.12 (R2018a)
同じパソコンに入ってるR2017aのMATLABの方ではGPU学習に成功したのですが、trainingOptionのプロパティにおいてどうしてもR2018aの方を使いたいのですが、上記のスペックやバージョンではGPUを使用した計算は可能でしょうか?

  2 Comments

Kei Otsuka
on 21 Dec 2018
GPUのドライバが古くて、正しく認識されていないのかもしれません。
>>gpuDevice
と実行したときに、GPUの情報が返却されますでしょうか?
Jo Sasaki on 21 Dec 2018
エラー: gpuDevice (line 26)
グラフィックス ドライバーまたはこの GPU デバイスに問題があります。サポートされている GPU を使用していて、最新のドライバーがインストールされていることを確認してください。
原因:
グラフィックス ドライバーが見つかりましたが、古すぎます。システムのグラフィックス ドライバーは、CUDA のバージョン 8 をサポートしています。必要な CUDA のバージョンは 9以降です
と表示されました。CUDAのアップデートが必要でしょうか?

Sign in to comment.

1 Answer

Answer by Kei Otsuka
on 21 Dec 2018
 Accepted Answer

確認ありがとうございます。
ドライバが古く、GPUが認識されていなかったようです。
NVIDIAさんのサイトから最新のドライバを入手できますので、
アップデートしてから再度お試しください。

  1 Comment

Jo Sasaki on 21 Dec 2018
アップデートしたところ正常に稼働しました
ご回答ありがとうございました。

Sign in to comment.